package com.example.modules;

import com.example.ExampleAddon;
import dev.shrecked.sun.components.event.Events;
import dev.shrecked.sun.components.module.Category;
import dev.shrecked.sun.components.module.Module;
import dev.shrecked.sun.components.setting.settings.StringSetting;
import meteordevelopment.orbit.EventHandler;
import net.minecraft.client.MinecraftClient;

import java.awt.*;

public class ExampleModule extends Module {
    private final StringSetting text = this.config.newStringSetting("text", "Example text display!");

    public ExampleModule() {
        super(Category.World, "example-module");
    }

    @Override
    protected void onEnable() {
        ExampleAddon.LOGGER.info("enabled example module!");
    }

    @Override
    protected void onDisable() {
        ExampleAddon.LOGGER.info("disabled example module!");
    }

    @EventHandler
    private void onHudRender(Events.HudRender event) {
        event.context().drawText(
            MinecraftClient.getInstance().textRenderer,
            this.text.getValue(),
            5,
            5,
            Color.RED.getRGB(),
            true
        );
    }
}
